'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _RaisedButton = require('material-ui/RaisedButton');

var _RaisedButton2 = _interopRequireDefault(_RaisedButton);

var _reactSsFormHandler = require('react-ss-form-handler');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SubmitButton = _react2.default.createClass({
    displayName: 'SubmitButton',


    render: function render() {
        var containerStyle = {
            paddingTop: 15,
            paddingBottom: 15
        };

        var buttonStyle = this.props.style || {};

        if (this.props.fullWidth) {
            containerStyle.width = '100%';
            containerStyle.display = 'block';
        } else {
            containerStyle.float = 'right';
        }

        var isPrimary = true;

        if (this.props.secondary) {
            isPrimary = false;
        }

        return _react2.default.createElement(
            'span',
            { style: containerStyle },
            _react2.default.createElement(_RaisedButton2.default, _extends({ primary: isPrimary }, this.props, { label: this.props.label, type: 'submit', style: buttonStyle }))
        );
    }
});

exports.default = SubmitButton;