'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _FlatButton = require('material-ui/FlatButton');

var _FlatButton2 = _interopRequireDefault(_FlatButton);

var _RaisedButton = require('material-ui/RaisedButton');

var _RaisedButton2 = _interopRequireDefault(_RaisedButton);

var _reactSsFormHandler = require('react-ss-form-handler');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var FormActions = _react2.default.createClass({
    displayName: 'FormActions',

    render: function render() {
        var submitLabel = this.props.label || "actions.submit";
        var cancelLabel = this.props.label || "actions.cancel";
        submitLabel = TAPi18n.__(submitLabel);
        cancelLabel = TAPi18n.__(cancelLabel);
        var submitButton = typeof this.props.submitAction !== 'undefined' ? _react2.default.createElement(_RaisedButton2.default, { onClick: this.props.submitAction, label: submitLabel, primary: true }) : _react2.default.createElement(_RaisedButton2.default, { label: submitLabel, type: 'submit', primary: true });
        return _react2.default.createElement(
            'span',
            { style: { float: 'right', paddingTop: 15, paddingBottom: 15 } },
            _react2.default.createElement(_FlatButton2.default, { label: cancelLabel, style: { marginRight: 15 }, onClick: this.props.cancelAction }),
            submitButton
        );
    }
});

exports.default = FormActions;